Skip to main content
POST
Imports or updates loyalty cards

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

Collection of loyalty cards to import or update

Required array length: 1 - 1000 elements
cardId
string
required

Loyalty card ID

Required string length: 1 - 36
memberId
string
required

Member ID who owns the card

Required string length: 1 - 36
state
enum<string>
required
Available options:
Inactive,
Active
type
enum<string>
required
Available options:
Physical,
Virtual
createdAt
string<date-time>
required

Date and time when the card was created

cardHolderType
string | null

Type of cardholder (e.g., Member, Employee)

Maximum string length: 32

Response

OK

importedCardsCount
integer<int32>
updatedCardsCount
integer<int32>
Last modified on August 10, 2026